<?php

class Fiscalia extends CActiveRecord
{
	public function tableName()
	{
		return 'fiscalia';
	}

	public function rules()
	{
		return array(
			array('fis_codigo, fis_descripcion, fis_direccion, fis_telefono, fis_telefono1, fis_ciudad', 'required'),
			array('ind_fiscalia_local', 'numerical', 'integerOnly'=>true),
			array('fis_codigo', 'length', 'max'=>3),
			array('fis_descripcion, fis_direccion, fis_telefono, fis_telefono1, fis_ciudad', 'length', 'max'=>200),
			array('fis_sigla', 'length', 'max'=>5),
			array('fis_codigo, fis_descripcion, fis_direccion, fis_telefono, fis_telefono1, fis_ciudad, ind_fiscalia_local, fis_sigla', 'safe', 'on'=>'search'),
		);
	}
	public function relations()
	{
		return array(
		);
	}
	public function attributeLabels()
	{
		return array(
			'fis_codigo' => 'Fis Codigo',
			'fis_descripcion' => 'Fiscalia',
			'fis_direccion' => 'Fis Direccion',
			'fis_telefono' => 'Fis Telefono',
			'fis_telefono1' => 'Fis Telefono1',
			'fis_ciudad' => 'Fis Ciudad',
			'ind_fiscalia_local' => 'Ind Fiscalia Local',
			'fis_sigla' => 'Fis Sigla',
		);
	}

	public function search()
	{
	
		$criteria=new CDbCriteria;

		$criteria->compare('fis_codigo',$this->fis_codigo,true);
		$criteria->compare('fis_descripcion',$this->fis_descripcion,true);
		$criteria->compare('fis_direccion',$this->fis_direccion,true);
		$criteria->compare('fis_telefono',$this->fis_telefono,true);
		$criteria->compare('fis_telefono1',$this->fis_telefono1,true);
		$criteria->compare('fis_ciudad',$this->fis_ciudad,true);
		$criteria->compare('ind_fiscalia_local',$this->ind_fiscalia_local);
		$criteria->compare('fis_sigla',$this->fis_sigla,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	
	public function getDbConnection()
	{
		return Yii::app()->db_fr;
	}

	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
